<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              http://example.com
 * @since             1.0.0
 * @package           apigoat_doc
 *
 * @wordpress-plugin
 * Plugin Name:       APIgoat API doc
 * Plugin URI:        https://apigoat.com
 * Description:       Consume API to get doc
 * Version:           1.0.0
 * Author:            APIgoat
 * Author URI:        https://apigoat.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       apigoat_doc
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if (!defined('WPINC')) {
	die;
}
/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define('apigoat_doc_VERSION', '1.0.0');

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-apigoat_doc-activator.php
 */
function activate_apigoat_doc()
{
	require_once plugin_dir_path(__FILE__) . 'includes/class-apigoat_doc-activator.php';
	apigoat_doc_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-apigoat_doc-deactivator.php
 */
function deactivate_apigoat_doc()
{
	require_once plugin_dir_path(__FILE__) . 'includes/class-apigoat_doc-deactivator.php';
	apigoat_doc_Deactivator::deactivate();
}

register_activation_hook(__FILE__, 'activate_apigoat_doc');
register_deactivation_hook(__FILE__, 'deactivate_apigoat_doc');

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path(__FILE__) . 'vendor/autoload.php';
require plugin_dir_path(__FILE__) . 'classes/APIgoatFetchAPI.php';
require plugin_dir_path(__FILE__) . 'classes/APIgoatTemplate.php';
require plugin_dir_path(__FILE__) . 'classes/APIgoatDoc.php';
require plugin_dir_path(__FILE__) . 'includes/class-apigoat_doc.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */

function run_apigoat_doc()
{

	$plugin = new apigoat_doc();
	$plugin->run();
}
run_apigoat_doc();
